petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetArray

Gets a work array for a DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetArray(DM da,PetscBool ghosted,void *vptr)

### Input Parameter

| da | - information about my local patch
| ghosted | - do you want arrays for the ghosted or nonghosted patch

### Output Parameters

vptr -array data structured

Note: The vector values are NOT initialized and may have garbage in them, so you may need to zero them.

### See Also

DMDARestoreArray()

### Level

advanced

### Location

src/dm/impls/da/dalocal.c

### Examples

src/ts/examples/tutorials/ex9.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages